Subject: Re: [dnsext] Want this to be a WG doc? (dns-undocumented-types)

From: Alfred Hönes <[email-masked]>
Date: Thu, 29 Mar 2012 20:47:06 +0200 (MESZ)

At 29 Mar 2012 15:04:41 +0100, Tony Finch wrote:
> Edward Lewis <Ed.Lewis at neustar.biz> wrote:
>>
[[ next phrase restored for clarity from referenced message -- AH ]]
>> ... Ok, the -01++ version (which might be a WG -00) will have
>> this (unless edited again), let me know if... 
>>
>> 2.0 Documenting the types
>>
>> In this section, each type will be presented, including a basic description
>> of the syntax.  The basic description is presented because it might be
>> helpful to implementers that merely want convert the data into a viewable
>> format.  For applications wanting to process this data, consulting a more
>> thorough description is encouraged.  It has been pointed out that none of
>> these types are impacted by message compression or DNSSEC alteration.
>
> I suggest replacing the last sentence with:
>
>   All of these types can correctly be treated as unstructured binary data,
>   as described in section 3 of RFC 3597 (handling unknown DNS RR types).
>
> Tony.

a) missing "to" :     ... want to convert ...

b) I suggest to be even more precise in amending Tony's text to say:

|   The RDATA of all of these types can correctly be treated as
    ^^^^^^^^^^^^^^
|   unstructured binary data, as described in Section 3 of RFC 3597
|   [RFC3597], "Handling of Unknown DNS RR Types".
    ^^^^^^^^^^^^^       ^^^^^              ^    ^

More basically:
I appreciate this document and would like to see it published in an
(Informational) RFC.
This can be done as an individual submission (either AD sponsored
or as an Independent Submission via the ISE) or as a WG document;
another way to deal with that aim would be to include its body as
an Informative Appendix into the DNS IANA Considerations, rfc6195bis
draft.

Caveat:
I fear we will have to severely struggle with IESG and RFC Editor
policy regarding the many (necessary) references to "work in progress"
that is not considered eligible for citation in RFCs.  With these
citations blurred out in the common style, most of the worth of the
document would be lost.
In seeking success in that matter, having a WG document might help
a bit, but I'm reluctant in estimating success probability.
OTOH, if rfc6195bis succeeds in obliging IANA to provide escrow
copies of registration documents, and this is done retrosctively
for past registrations, using this draft as a guideline, much
clarity would be won already.

Best regards,
  Alfred.

_______________________________________________
dnsext mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/dnsext